%global  basever 0.9.5

Name:           mate-emerald-themes
URL:            https://github.com/raveit65
License:        GPLv2+
Group:          Graphical desktop/Mate
Version:        0.9.5
Release:        %mkrel 2
Summary:        Themes for Emerald, a window decorator for Compiz Fusion
Source0:        https://github.com/raveit65/%{name}/releases/download/v%{version}/emerald-themes-%{version}.tar.xz
Source1:        Beryl_Default.tar.xz
BuildArch:      noarch
Requires:       mate-compiz >= %{basever}
Requires:       mate-emerald >= %{basever}
BuildRequires:  libtool

%description
Emerald is themeable window decorator and compositing manager for Compiz Fusion.

This package contains themes for emerald.

%prep
%setup -qn emerald-themes-%{version}
tar -xJf %{SOURCE1}

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install

rm -r %{buildroot}%{_datadir}/emerald/themes/Beryl_Default

# optionally remove these
rm -r %{buildroot}%{_datadir}/emerald/themes/Rezlooks-Candy-1pxb
rm -r %{buildroot}%{_datadir}/emerald/themes/Rezlooks-Graphite-1pxb
rm -r %{buildroot}%{_datadir}/emerald/themes/Rezlooks-PastelGreen-1pxb

cp -R Beryl_Default %{buildroot}%{_datadir}/emerald/themes/Beryl_Default

# fix file attributes
pushd %{buildroot}
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
popd

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS
%{_datadir}/emerald/themes/

%clean
rm -rf %{buildroot}


%changelog
* Sun Dec 17 2017 Zen Subz <techars21 at gmail dot com> - 0.9.5-2pclos2017
- Fix faulty Beryl_Default theme and file-attributes

* Thu May 07 2015 bb <bb> 0.9.5-1pclos2015
- import into plcos
